Ubuntu

unity-window-decorator crashes with SIGSEGV when closing Java windows

Reported by Kevin Jadin on 2011-03-01
736
This bug affects 164 people
Affects Status Importance Assigned to Milestone
Unity
High
Sam Spilsbury
compiz (Ubuntu)
High
Sam Spilsbury
Natty
High
Unassigned
Oneiric
High
Sam Spilsbury

Bug Description

Binary package hint: compiz

Hi,
I am using up-to-date natty and when I start and close a .jnlp file (eg: http://download.oracle.com/javase/tutorialJWS/uiswing/components/ex6/TabbedPaneDemo.jnlp) with sun-java6, my window borders just disappear and I have to reload compiz with compiz --replace in order to get my borders back.

Compiz is still working background, because I still get window moving and Compiz plugins are still working. It's just borders that disappear.

In order to reproduce (it does it each time):
1) download http://download.oracle.com/javase/tutorialJWS/uiswing/components/ex6/TabbedPaneDemo.jnlp
2) double click TabbedPaneDemo.jnlp or launch with javaws TabbedPaneDemo.jnlp
3) close the app, window borders should disappear from ALL of your windows.

If this bug is confirmed, I think it is quite important to fix it for natty stable.

Kevin Jadin (marcspitz) on 2011-03-01
summary: - Windows border disappear when closing Java .jnlp files
+ Windows border disappears when closing Java windows
description: updated

Thank you for taking the time to report this bug and helping to make Ubuntu better. Please try to obtain a backtrace following the instructions at http://wiki.ubuntu.com/DebuggingProgramCrash and upload the backtrace (as an attachment) to the bug report. This will greatly help us in tracking down your problem.

Changed in compiz (Ubuntu):
importance: Undecided → Low
status: New → Incomplete
Sebastien Bacher (seb128) wrote :

it's likely bug #724874 or similar

jf pambrun (jf-pambrun) wrote :

I have the same issue with Matlab R2010b, the window border disappear as soon as the main window opens. I can still move windows around and change workspace.

Matlab's front end is in JAVA and it uses a bundled JRE (build 1.6.0_17-b04).
When configured to use OpenJDK 6b22-1.10-3ubuntu1 it runs flawlessly.

dsn0wman (josgray) wrote :

I get the same behavior while running Oracle SQL Developer. It's also a JAVA based program. It causes the window borders and controls to disappear when it pops up a notification window.

dsn0wman (josgray) wrote :

I can easily reproduce this behavior. Closing modal Java windows causes window border and controls to disappear. Pleas let me know if there is anything I can do to for a work around. Re-staring unity 20 times a day is getting old.

dsn0wman (josgray) wrote :

Doing a backtrace on compiz doesn't give me anything... Not sure how to get debugging symbols for compiz

GNU gdb (Ubuntu/Linaro 7.2-1ubuntu11) 7.2
Copyright (C) 2010 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html>
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law. Type "show copying"
and "show warranty" for details.
This GDB was configured as "i686-linux-gnu".
For bug reporting instructions, please see:
<http://www.gnu.org/software/gdb/bugs/>...
Reading symbols from /usr/bin/compiz...(no debugging symbols found)...done.
(gdb) backtrace full
No stack.
(gdb) info registers
The program has no registers now.
(gdb) x/16i $pc
No registers.
(gdb) thread apply all backtrace
(gdb) quit

dsn0wman (josgray) wrote :

Finally was able to get a backtrace or unity-window-decorator which appears to be the culprit.

Konstantin Ivanov (liner.mgn) wrote :

I constantly get this bug while running Oracle SQL Developer.

Claudiu Bulcu (cbulcu) wrote :

I did encounter this too, with Squirrel SQL, and other Java applications. I want to use Natty with Unity for Java development, but tends to become more unlikely :-(

Nerdknight (nerdknight) wrote :

It happens to me too sometimes when I close modal dialogs, this is the output of compiz :

(unity-window-decorator:3820): GLib-GObject-CRITICAL **: g_object_get_data: assertion `G_IS_OBJECT (object)' failed
Segmentation fault

Nerdknight (nerdknight) wrote :

I attach a simple java program to reproduce the bug, Is a JFrame that opens a JDialog that opens a new instance of this JDialog modal to the JFrame, open 3 or more JDialog an then close them until the window border disappear.

Alessio Caiazza (nolith) wrote :

I cannot reproduce this bug with OpenJDK-jre but only with sun-jre.

Nerdknight (nerdknight) wrote :

I confirm this, I've tested it with the current OpenJDK-jre, sun-jre-6u24 and sun-jre-6u25, the problems appears only with sun-jre

dsn0wman (josgray) wrote :

I configured Oracle Sqldeveloper to use OpenJDK instead of the Sun JDK, and this solves the problems with the window borders disappearing.

Hopefully Oracle/Sun will patch their JDK, since other features of sqldeveloper seem to work better with the Sun JDK.

Jabal 33 (jantekb) wrote :

I confirm this bug, very annoying.

Nerdknight (nerdknight) wrote :

I don't remember having this bug in Ubuntu 10.10 with compiz effects (can someone confirm this?), so I think the bug is unity-compiz - sun-jre related, if that's the case, I think is much more feasible fix this in unity-compiz, than waiting a fix from Oracle.

dsn0wman (josgray) wrote :

I take back my previous statement. I still have disappearing window border, but they are not as frequent. So far it only happened once upon closing sqldeveloper. I think the modal windows no longer trigger the bug though.

Nerdknight (nerdknight) wrote :

I can generate the bug closing several JDialogs modal to a same JFrame. Try the app I made to generate this bug (post n°11), with this app I can always reproduce the bug.
Link:
https://bugs.launchpad.net/ubuntu/+source/compiz/+bug/727143/+attachment/2109053/+files/CompizWindowsBorderDisapperTest.tar.gz
The jar executable is inside the dist directory

Sezai Yilmaz (sezai-yilmaz) wrote :

I also confirm this bug. It hapens very often.

Lucas Madar (lucas-madar) wrote :

This bug is making natty nearly unusable.

I've put a backtrace (with debug info) and an ltrace in bug #727143, which I've marked as a duplicate of this bug.

Nerdknight (nerdknight) on 2011-05-06
Changed in compiz (Ubuntu):
status: Incomplete → Confirmed
John Dunlap (john-dunlap) wrote :

I just built a new development machine and I am having the same problem as everyone else when I attempt to run Jetbrains IntelliJ IDEA 10.x Ultimate on a fully updated Ubuntu 11.x(Natty) x86_64. It is *extremely* annoying because it makes it difficult to run the debugging console on my other screen. I'm rebuilding the system in Ubuntu 10.x and if I still have this problem after that then I'm going back to Fedora.....

Nerdknight (nerdknight) wrote :

John: to avoid this problem just install Unity 2D, the classic desktop with no effects.

Claudiu Bulcu (cbulcu) wrote :

I'm running Gnome Classic (no effects), but I think we all want the full experience. :)

John Dunlap (john-dunlap) wrote :

I actually prefer Gnome Classic. How do I switch from unity?

Nerdknight (nerdknight) wrote :

Claudiu: I want desktop effects too!!, but until this problem is solved I think is a good option using Unity-2d with no effects (in my case is better than downgrading to 10.10)

To enable Ubuntu classic install Unity 2d and then choose Ubuntu Classic in the login screen.

Claudiu Bulcu (cbulcu) wrote :

John: Either way, Unity or Gnome Classic (I assume you meant the effects enabled Gnome Classic), you'll end up to the no effects desktop. Just logout, select your account, select the new desktop at the bottom, and log in.

Nerdknight: There is more to Unity than just the launcher/search paradigm, since it uses easier window management, thanks to Compiz. Am I wrong?

I hope this issue will be fixed soon.

ppareit (ppareit) wrote :

(Classic Gnome with desktop effects enabled)
If I have this problem and do ALT+F2 'compiz --replace' it solves itself and does not happen again.

Claudiu Bulcu (cbulcu) wrote :

ppareit: I tested it on my system. And it did replace, but I was able to reproduce the bug, right after that, with Squirrel SQL, which I chose to test with.

John Dunlap (john-dunlap) wrote :

I'm using Unity 2D and it seems to fix the problem except that there is no longer a maximize button on my debugging console window... :(

Ruth Alkema (ruth) wrote :

I typed:
gtk-window-decorator --replace
and that solved it for me.

This way I use another window-decorator, no longer the unity-window-decorator.

John Dunlap (john-dunlap) wrote :

How do I switch back to unity 3D so I can try replacing the window decorator?

Lucas Madar (lucas-madar) wrote :

Sorry, I misspoke in my previous comment. I posted an ltrace and a backtrace in bug #776312.

Is there any way we can get the priority increased on this bug?

Rocrail (r.j.versluis) wrote :

The "gtk-window-decorator --replace" works for me too.
How can it be saved for follow-up logins?

summary: - Windows border disappears when closing Java windows
+ unity-window-decorator crashes with SIGSEGV when closing Java windows
Ken Southerland (crowmagnumb) wrote :

This is super annoying and actually debilitating as I am a java developer and it makes it so that I can't even use the mouse or keyboard correctly in all of my windows when it occurs. Super frustrating. I just tried the "compbiz --replace" command and it has worked for me. I hope, like @ppareit it does not return until a reboot. We shall see.

Ken Southerland (crowmagnumb) wrote :

UPDATE: Alas the "compbiz --replace" fix is only temporary. I am forced to run it many times an hour! Please fix this bug. Please?

dsn0wman (josgray) wrote :

@Ken Southerland - Is using openJDK an option? That is the current work-around which is working for me.

Nerdknight (nerdknight) wrote :

Use the workaround proposed by Ruth Alkema, using gtk-window-decorator instead compiz:

gtk-window-decorator --replace

It worked for me

Lucas Madar (lucas-madar) wrote :

Unfortunately, OpenJDK contains bugs in the 2D renderer that render it unusable.

Babaei (babaei) wrote :

I'm seeing the same problem with Java-based software (MATLAB and COMSOL). I'm going to try replacing the unity-window-decorator with gtk-window-decorator and see if it fixes the problem (until unity-window-decorator can get fixed).

Changed in compiz (Ubuntu):
assignee: nobody → Sam "SmSpillaz" Spilsbury (smspillaz)
milestone: none → natty-updates
importance: Low → Medium
Changed in unity:
milestone: none → 3.8.16
assignee: nobody → Sam "SmSpillaz" Spilsbury (smspillaz)
importance: Undecided → Medium
status: New → Confirmed
David Barth (dbarth) on 2011-06-15
Changed in unity:
milestone: 3.8.16 → 3.8.18
importance: Medium → High
Changed in compiz (Ubuntu):
importance: Medium → High
39 comments hidden view all 118 comments

I am also still seeing this issue with gtk-window-manager --replace. But it happens less frequently than with unity-window-decorator.

mazurkin (mazurkin) wrote :

I cleared up all options in "Effects" section of CompizConfig Setting Manager - except "Windows Decoration" options. Then I entered "/usr/bin/gtk-window-decorator" in the "Command" field of the "Windows Decoration" option. When rebooted my computer.

I haven't noticed this bug for two last days

lrkwz (luca-orlandi) wrote :

Seems to be fixed by

java -version
java version "1.6.0_24"
Java(TM) SE Runtime Environment (build 1.6.0_24-b07)
Java HotSpot(TM) Server VM (build 19.1-b02, mixed mode)

installed today

Start-Date: 2011-06-19 17:20:12
Upgrade: icedtea6-plugin:i386 (6b21.1~20110420-0ubuntu1, 6b21.1~20110420-0ubuntu1.1), python-libxml2:i386 (2.7.8.dfsg-2, 2.7.8.dfsg-2ubuntu0.1), icedtea-plugin:i386 (1.1~20110420-0ubuntu1, 1.1~20110420-0ubuntu1.1), icedtea-6-jre-cacao:i386 (6b22-1.10.1-0ubuntu1, 6b22-1.10.2-0ubuntu1~11.04.1), openjdk-6-jre-headless:i386 (6b22-1.10.1-0ubuntu1, 6b22-1.10.2-0ubuntu1~11.04.1), openjdk-6-jdk:i386 (6b22-1.10.1-0ubuntu1, 6b22-1.10.2-0ubuntu1~11.04.1), openjdk-6-jre:i386 (6b22-1.10.1-0ubuntu1, 6b22-1.10.2-0ubuntu1~11.04.1), icedtea-netx:i386 (1.1~20110420-0ubuntu1, 1.1~20110420-0ubuntu1.1), icedtea-6-jre-jamvm:i386 (6b22-1.10.1-0ubuntu1, 6b22-1.10.2-0ubuntu1~11.04.1), flashplugin-installer:i386 (10.3.181.22ubuntu0.11.04.1, 10.3.181.26ubuntu0.11.04.1), openjdk-6-jre-lib:i386 (6b22-1.10.1-0ubuntu1, 6b22-1.10.2-0ubuntu1~11.04.1), libxml2:i386 (2.7.8.dfsg-2, 2.7.8.dfsg-2ubuntu0.1), foo2zjs:i386 (20110210dfsg-1ubuntu2, 20110210dfsg-1ubuntu2.1), libxml2-utils:i386 (2.7.8.dfsg-2, 2.7.8.dfsg-2ubuntu0.1), xserver-xorg-input-synaptics:i386 (1.3.99+git20110116.0e27ce3a-0ubuntu12, 1.3.99+git20110116.0e27ce3a-0ubuntu12.1)
End-Date: 2011-06-19 17:21:15

Claudiu Bulcu (cbulcu) wrote :

@lrkwz: I reported the issue against sun java version 24, so I would not be so sure about what you reported here.

Georgios Larkou (ntenisot-3) wrote :

Really big problem. Please Fix it.

Changed in unity:
status: Confirmed → In Progress
status: In Progress → Confirmed
alfabravoteam (alfabravoteam) wrote :

Also have 1.6 update 24 and used it when repoted the bug (as a duplicate). I think that's not the path to follow

oded bahar (oded86) wrote :

Also have the same bug using SOAP-UI - huge problem for my development work, please fix.

david wood (david-wood) wrote :

I would never tell anyone they "must" fix a bug - but I would strongly suggest that Ubuntu prominently indicate on the Natty download pages that it currently doesn't work very well with Java. Then I'd take the notice down if/when the bug is ever fixed.

That's just helping to save people time by letting them know when to avoid Natty. I think being a good neighbor in this way could be done in minutes, and I'm sure it would be much appreciated.

It will be fixed as soon as I get back from my exam leave :) I've
finally found a way to reliably reproduce this, so I can start working
on it accurately now.

On Tue, Jun 21, 2011 at 8:50 PM, oded bahar <email address hidden> wrote:
> Also have the same bug using SOAP-UI - huge problem for my development
> work, please fix.
>
> --
> You received this bug notification because you are a member of compiz
> packagers, which is subscribed to compiz in Ubuntu.
> https://bugs.launchpad.net/bugs/727143
>
> Title:
>  unity-window-decorator crashes with SIGSEGV when closing Java windows
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/unity/+bug/727143/+subscriptions
>
> _______________________________________________
> Mailing list: https://launchpad.net/~compiz
> Post to     : <email address hidden>
> Unsubscribe : https://launchpad.net/~compiz
> More help   : https://help.launchpad.net/ListHelp
>

--
Sam Spilsbury

Sam Spilsbury (smspillaz) wrote :

This bug is a race condition. It affects different applications on
different systems. It's not a blanket thing that we can say "it
doesn't work with all java applications" because that's not true.

On Tue, Jun 21, 2011 at 8:53 PM, david wood <email address hidden> wrote:
> I would never tell anyone they "must" fix a bug - but I would strongly
> suggest that Ubuntu prominently indicate on the Natty download pages
> that it currently doesn't work very well with Java. Then I'd take the
> notice down if/when the bug is ever fixed.
>
> That's just helping to save people time by letting them know when to
> avoid Natty. I think being a good neighbor in this way could be done in
> minutes, and I'm sure it would be much appreciated.
>
> --
> You received this bug notification because you are a member of compiz
> packagers, which is subscribed to compiz in Ubuntu.
> https://bugs.launchpad.net/bugs/727143
>
> Title:
>  unity-window-decorator crashes with SIGSEGV when closing Java windows
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/unity/+bug/727143/+subscriptions
>
> _______________________________________________
> Mailing list: https://launchpad.net/~compiz
> Post to     : <email address hidden>
> Unsubscribe : https://launchpad.net/~compiz
> More help   : https://help.launchpad.net/ListHelp
>

--
Sam Spilsbury

I tried the advice of mazurkin: I cleared up all options in "Effects" section of CompizConfig Setting Manager - except "Windows Decoration" options. Then I entered "/usr/bin/gtk-window-decorator" in the "Command" field of the "Windows Decoration" option. When rebooted my computer. I haven't noticed this bug for two last days.

Unfortunately I am still seeing the issue when following the advice with the Java applications Freeplane and IntelliJ IDEA.

david wood (david-wood) wrote :

Sam, thank you for the updates. If there's any way we can help - further diagnostics, troubleshooting, testing, etc. - please let us know.

Sam Spilsbury (smspillaz) wrote :

I've got a fix for one case of this happening, where the client sets the WM_TRANSIENT_FOR hint before compiz has a chance to set an input frame. I know there are other cases too, so if you keep getting this crash after the next SRU, please let me know.

I will attach a testcase which shows this happening later. For now, one can use DeskZilla, opening it should reproduce the crash and this branch will fix that case

Changed in compiz (Ubuntu Natty):
status: New → Confirmed
importance: Undecided → High
Sam Spilsbury (smspillaz) wrote :
Sam Spilsbury (smspillaz) wrote :

running the testcase will reproduce the bug on the old version.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package compiz - 1:0.9.4+bzr20110606-0ubuntu4

---------------
compiz (1:0.9.4+bzr20110606-0ubuntu4) oneiric; urgency=low

  * debian/patches/00_bzr_fix_727143.patch:
    - Fix unity-window-decorator crashes with SIGSEGV when closing Java
      windows (LP: #727143)
 -- Didier Roche <email address hidden> Fri, 24 Jun 2011 10:46:01 +0200

Changed in compiz (Ubuntu Oneiric):
status: Confirmed → Fix Released
Sebastien Bacher (seb128) wrote :

So once the fix is confirmed to work on oneiric it will be backport for a natty stable update

Sebastien Bacher (seb128) wrote :

the testcase doesn't trigger the bug for me but running deskzilla does and I can confirm that the oneiric update fixes the issue

Accepted compiz into natty-proposed, the package will build now and be available in a few hours. Please test and give feedback here. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you in advance!

Changed in compiz (Ubuntu Natty):
status: Confirmed → Fix Committed
tags: added: verification-needed
Nerdknight (nerdknight) wrote :

I've tested the fix and it seems that it works, I couldn't reproduce the bug so far.

david wood (david-wood) wrote :

Same here - fix appears successful.

Martin Pitt (pitti) on 2011-06-25
tags: added: verification-donee
removed: verification-needed
tags: added: verification-done
removed: verification-donee

I can reproduce this bug with every Java version (build in release 1.6.0_22 and my own installation 1.6.0_26.
I use the 64bit-versions.

Nicolas Diogo (nicolasdiogo) wrote :

Hi

just to add my name to the list of people suffering this Bug.
it happens when running Unity (Ubuntu Default 11.04) or the 'Gnome Classic'

it happen when using JAVA applications (netbeans, eclipse,... )

[code]
11436.227652] unity-window-de[3913]: segfault at 318 ip 0000000000415d6f sp 00007fffcf076660 error 6 in unity-window-decorator[400000+1b000]
[/code]

thanks

frank rothmann (rothmann) wrote :

Hi,

I've installed the compiz fix 4 days ago. Since then I have no problems. I use ubuntu11.04, unity, sun-java, inelliJ idea, rubymine, dbviz and personalbrain. I had heavy problems with all instaled java apps before, now everything is all right.

Regards

Frank

david wood (david-wood) wrote :

After 4 days of heavy use w/ the new compiz build in -proposed, I can report this problem still appears completely cured, with no negative side effects.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package compiz - 1:0.9.4+bzr20110606-0ubuntu1~natty2

---------------
compiz (1:0.9.4+bzr20110606-0ubuntu1~natty2) natty-proposed; urgency=low

  * debian/patches/00_bzr_fix_727143.patch:
    - Fix unity-window-decorator crashes with SIGSEGV when closing Java
      windows (LP: #727143)
 -- Didier Roche <email address hidden> Fri, 24 Jun 2011 10:52:47 +0200

Changed in compiz (Ubuntu Natty):
status: Fix Committed → Fix Released
blurry (brendan-robert) wrote :

Sweet!!! Thanks for fixing this one -- it was a downer to my Unity experience.

Ken Southerland (crowmagnumb) wrote :

Yes!! Thank you, thank you, thank you! This was driving me batty and almost had me longing for Windoze. Yes it was that bad. I was running "compiz --replace" every 10 minutes basically and it would quickly lead to having to reboot the machine as it would hang and I was having to do this a few times a day. I'm not kidding.

Thanks for the fix, any word on when it will hit the natty repositories?

On Wed, Jul 6, 2011 at 9:36 AM, Ken Southerland
<email address hidden>wrote:

> Yes!! Thank you, thank you, thank you! This was driving me batty and
> almost had me longing for Windoze. Yes it was that bad. I was running
> "compiz --replace" every 10 minutes basically and it would quickly lead
> to having to reboot the machine as it would hang and I was having to do
> this a few times a day. I'm not kidding.
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/727143
>
> Title:
> unity-window-decorator crashes with SIGSEGV when closing Java windows
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/unity/+bug/727143/+subscriptions
>

Claudiu Bulcu (cbulcu) wrote :

@dsn0wman If you haven't already updated your Natty system, just do it.

dsn0wman (josgray) wrote :

@Claudiu - This is my every day work machine so I don't think I'll be
putting any alpha releases on it. I am just wondering if the fix has moved
from proposed to the stable natty packages.

On Thu, Jul 7, 2011 at 6:12 AM, Claudiu Bulcu <email address hidden>wrote:

> @dsn0wman If you haven't already updated your Natty system, just do it.
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/727143
>
> Title:
> unity-window-decorator crashes with SIGSEGV when closing Java windows
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/unity/+bug/727143/+subscriptions
>

Claudiu Bulcu (cbulcu) wrote :

@dsn0wman I only have stable updates checked (proposed not checked), so it was the stable package.

I just hit this bug with the latest compiz update on Natty. It happened while closing the audio conference window in a webex application. I will see if I can reliably reproduce it and post the results here.

Franco (francogpellegrini) wrote :

i have the same problem right now (ubuntu 11.04 updated up to 16 september)

Bryce Nesbitt (bryce2) wrote :

I can trigger this like the OP with Java.

After the most recent patch (a few days ago) it happens always and the old fix won't work:

hardhat:~> gtk-window-decorator
Xlib: extension "RANDR" missing on display ":0.0".
gtk-window-decorator: Screen 0 on display ":0.0" already has a decoration manager; try using the --replace option to replace the current decoration manager.
hardhat:~> gtk-window-decorator --replace
Xlib: extension "RANDR" missing on display ":0.0".
(hang)

Changed in unity:
status: Confirmed → Fix Released

I still get the same problem, with JAVA i particular, but also without, sometimes (although less)
Ubuntu 11.10

Paco Avila (monkiki) wrote :

Have the same problem in Ubuntu 12.04 + Sun (Oracle) JDK 1.6.0_32

david wood (david-wood) wrote :

Yup. Something similar is back. Confirmed with Canonical packaged IcedTea 7
as well. Several crash reports sent back.

It doesn't express quite the same way. For instance, a modal dialog used to
reliably trigger it. Now, window creation in general just seems risky.
On May 14, 2012 6:31 AM, "Paco Avila" <email address hidden> wrote:

> Have the same problem in Ubuntu 12.04 + Sun (Oracle) JDK 1.6.0_32
>
> --
> You received this bug notification because you are subscribed to a
> duplicate bug report (775430).
> https://bugs.launchpad.net/bugs/727143
>
> Title:
> unity-window-decorator crashes with SIGSEGV when closing Java windows
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/unity/+bug/727143/+subscriptions
>

dsn0wman (josgray) wrote :

I have been using the open JDK, and it works well if thats an option for
you.

On Mon, May 14, 2012 at 3:22 AM, Paco Avila <email address hidden> wrote:

> Have the same problem in Ubuntu 12.04 + Sun (Oracle) JDK 1.6.0_32
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/727143
>
> Title:
> unity-window-decorator crashes with SIGSEGV when closing Java windows
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/unity/+bug/727143/+subscriptions
>

david wood (david-wood) wrote :

Just to be clear, all the crash reports I have originated occurred while using the OpenJDK (IcedTea).

Displaying first 40 and last 40 comments. View all 118 comments or add a comment.